Skip to main content
`Ctrl`+`K`

# BVInitializePackage

This function initializes everything in the `BV` package. It is called from `PetscDLLibraryRegister_slepc()` when using dynamic libraries, and on the first call to `BVCreate()` when using shared or static libraries.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

BV: Basis Vectors, `BV`, `SlepcInitialize()`, `BVFinalizePackage()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages